---
layout: default
title: Download and install GitLab
description: "Download, install and maintain your own GitLab instance with various installation packages and downloads for Linux, Kubernetes, Docker, Google Cloud and more."
canonical_path: "/install/"
suppress_header: true
slippers: true
extra_css:
  - installation.css
extra_js:
  - installation.js
  - libs/clipboard.min.js
  - bootstrap-tooltip.js
  - copy-button.js
---

<nav class="slp-sticky slp-top-0 md:slp-relative slp-mb-64 md:slp-mb-132 slp-bg-white slp-z-0">
  <div style="top: 8rem !important;" class="slp-hidden md:slp-block slp-top-full slp-right-0 slp-w-screen slp-max-w-lg slp-py-16 md:slp-fixed md:slp-transform-none md:slp-w-max md:slp-py-0" >
    <ul class="slp-text-right slp-list-none slp-p-0">
      <li class="slp-mb-22" style="width: 315px !important;">
        <a class="slpEventNavigationLink slp-text-ui-secondary-dark slp-text-base" href="#official-linux-package">
          Official Linux package
        </a>
      </li>
      <li class="slp-mb-22" style="width: 315px !important;">
        <a class="slpEventNavigationLink slp-text-ui-secondary-dark slp-text-base" href="#kubernetes-deployments">
          Kubernetes Deployments
        </a>
      </li>
      <li class="slp-mb-22" style="width: 315px !important;">
        <a class="slpEventNavigationLink slp-text-ui-secondary-dark slp-text-base" href="#supported-cloud">
          Supported cloud
        </a>
      </li>
      <li class="slp-mb-22" style="width: 315px !important;">
        <a class="slpEventNavigationLink slp-text-ui-secondary-dark slp-text-base" href="#other-official-methods">
          Other official methods
        </a>
      </li>
      <li class="slp-mb-22" style="width: 315px !important;">
        <a class="slpEventNavigationLink slp-text-ui-secondary-dark slp-text-base" href="#community-contributed">
          Community-contributed
        </a>
      </li>
      <li class="slp-mb-22" style="width: 315px !important;">
        <a class="slpEventNavigationLink slp-text-ui-secondary-dark slp-text-base" href="#already-installed">
          Already installed?
        </a>
      </li>
    </ul>
  </div>
</nav>

<div class="container slp-container install-header">
  <h1 class="slp-text-3xl slp-font-normal md:slp-text-5xl"> Install self-managed GitLab</h1>
  <p class="slp-my-8 slp-text-md slp-font-normal md:slp-text-lg"> You can download, install and maintain your own GitLab instance.</p>
  <p class="slp-my-8">
    Want us to host your instance, no installation required?
    <a href="/free-trial/" class="slp-text-ui-secondary-dark" data-ga-name="Try GitLab SaaS today" data-ga-location="header"> Try GitLab SaaS today</a>
  </p>
  <p class="slp-my-8">
    Want to try GitLab Ultimate for 30 days?
    <a href="/free-trial/self-managed/" class="slp-text-ui-secondary-dark" data-ga-name="Free trial" data-ga-location="header"> Get your free trial</a>
  </p>
</div>

<div class="slp-my-16 md:slp-hidden slp-block container slp-container slp-sticky slp-top-6 slp-z-10 slp-dropdown-container">
  <section data-vue-target="true">
    <slp-dropdown
      placeholder="Select install method"
      selected= {}
      closeOnOutsideClick= true
      :options="[
        {
          name: 'Official Linux package',
          link: '#official-linux-package'
        },
        {
          name: 'Helm for Kubernetes',
          link: '#helm-for-kubernetes'
        },
        {
          name: 'Supported cloud',
          link: '#supported-cloud'
        },
        {
          name: 'Other official methods',
          link: '#other-official-methods'
        },
        {
          name: 'Community-contributed',
          link: '#community-contributed'
        },
        {
          name: 'Already installed?',
          link: '#already-installed'
        },
      ]"
    />
  </section>
</div>



<div id="content" role="main">
  <div class="cards-section cards-section-grey" id="official-linux-package">
    <div class="container slp-container">
      <div class="method omnibus">
        <% distros = ['Ubuntu', 'Debian', 'AlmaLinux 8', 'CentOS 7', 'OpenSUSE Leap 15.3', 'Raspberry Pi OS'] %>
        <% platforms = ['ubuntu', 'debian', 'almalinux8', 'centos7', 'opensuse', 'raspberrypi'] %>
        <% ce_only_platforms = { 'raspberry-pi-os' => true } %>
        <% subtitles = ['18.04 LTS, 20.04 LTS', '9, 10, 11', 'and RHEL, Oracle, Scientific', 'and RHEL, Oracle, Scientific', 'and SUSE Linux Enterprise Server 12.2, 12.5', 'Buster (32 bit)'] %>
        <% icons = ['ubuntu', 'debian', 'almalinux', 'centos', 'opensuse', 'raspberry-pi'] %>
        <div class="method-content">
          <p class="slp-text-xxs slp-font-normal slp-uppercase tracking-widest slp-mb-0">Recommended Installation Method</p>
          <h2 class="slp-text-xl slp-font-normal md:slp-text-xxl" id="omnibus"> Official Linux package</h2>
          <p class="slp-text-base">
            This is the recommended method for getting started. The Linux packages are mature, scalable, and are used today on GitLab.com. If you need additional flexibility and resilience, we recommend deploying GitLab as described in the
            <%= link_to "reference architecture documentation.", "https://docs.gitlab.com/ee/administration/reference_architectures/index.html", class: "slp-text-ui-secondary-dark" %>
          </p>
          <p class="slp-text-base">
            Linux installation is quicker to install, easier to upgrade and contains features to enhance reliability not found in other methods. Install via a single package (also known as Omnibus) that bundles all the different services and tools required to run GitLab. At least 4 GB of RAM is recommended (
            <%= link_to "minimum requirements", "https://docs.gitlab.com/ee/install/requirements.html", class: "slp-text-ui-secondary-dark" %>
            ).
          </p>
          <ul class="flex-tile-list">
            <% distros.each_with_index do |distro, index| %>
              <% ce_platform = data.platforms.select {|p| p.name == platforms[index]} %>
              <% ee_platform = data.platforms_ee.select {|p| p.name == platforms[index]} %>
              <a class="distro-tile-<%= index + 1 %> <%= 'js-distro-tile-ce-only' if ce_only_platforms[distro.parameterize] %> tile js-distro-tile" href="#<%= distro.parameterize %>" data-ga-name="<%= distro %>" data-ga-location="body">
                <div class="tile-image">
                  <%= partial "/images/logos/#{icons[index]}-logo-color.svg" %>
                </div>
                <div class="tile-info">
                  <h4 class="tile-title">
                    <%= distro %>
                  </h4>
                  <p>
                    <%= subtitles[index] %>
                    <div class="tile-link slp-text-ui-secondary-dark">
                      View install instructions +
                    </div>
                  </p>
                </div>
              </a>
              <li class="distro-content-<%= index + 1 %> distro-content js-distro-content hidden" id="<%= distro.parameterize %>">
                <a class="slp-float-right slp-text-ui-secondary-dark" id="close-distro">
                  <span class="slp-text-xs">
                    Close
                    <%= image_tag "/images/icons/x-purple.svg", class: "slp-align-top", style: "padding-left: 0.5em", alt: "Gitlab x icon svg" %>
                  </span>
                </a>
                <% ce_platform.each_with_index do |platform, index| %>
                  <% ee_platform = ee_platform[index] %>
                  <div class="js-platform-ce js-install-instructions">
                    <%= partial "_platform", locals: { platform: platform, type: "ce", link_back: distro.parameterize } %>
                  </div>
                  <% if ee_platform %>
                    <div class="js-platform-ee js-install-instructions hidden">
                      <%= partial "_platform", locals: { platform: ee_platform, type: "ee", link_back: distro.parameterize } %>
                    </div>
                  <% end %>
                <% end %>
              </li>
            <% end %>
          </ul>
        </div>
      </div>
    </div>
  </div>


  <div class="cards-section" id="kubernetes-deployments">
    <div class="container slp-container">
      <div class="method kubernetes">
        <div class="method-content">
          <h2 class="slp-text-xl slp-font-normal md:slp-text-3xl"> Kubernetes Deployments</h2>
          <p class="slp-text-base">
            When installing GitLab on Kubernetes, there are some trade-offs that you need to be aware of:
          </p>
          <ul class="slp-text-base">
            <li class="slp-list-disc">Administration and troubleshooting requires Kubernetes knowledge.</li>
            <li class="slp-list-disc">It can be more expensive for smaller installations. The default installation requires more resources than a single node Linux package deployment, as most services are deployed in a redundant fashion.</li>
            <li class="slp-list-disc">
              There are some feature
              <a class="slp-text-ui-secondary-dark" href="https://docs.gitlab.com/charts/#limitations">limitations to be aware of.</a>
            </li>
          </ul>
          <p class="slp-text-base">
          Use this method if your infrastructure is built on Kubernetes and you’re familiar with how it works. The methods for management, observability, and some concepts are different than traditional deployments. The helm chart method is for Vanilla Kubernetes deployments and the GitLab Operator can be used to deploy GitLab on an OpenShift cluster. The GitLab Operator can be used to automate Day 2 operations in both OpenShift and vanilla Kubernetes deployments.
          </p>
          <div class="flex-tile-list slp-text-center">
            <% data.installation_methods.kubernetes.each do |method| %>
              <a class="<%= ("popular" if method.popular?) %> tile" href="<%= method.url %>"  data-ga-name="<%= method.name %>" data-ga-location="body">
                <div class="tile-image">
                  <%= partial method.logo %>
                </div>
                <div class="tile-info">
                  <h4 class="tile-title">
                    <%= method.name %>
                  </h4>
                  <p>
                    <%= method.desc %>
                  </p>
                </div>
                <div class="tile-link slp-text-ui-secondary-dark">View install instructions →</div>
              </a>
            <% end %>
          </div>
        </div>
      </div>
    </div>
  </div>


  <div class="cards-section cards-section-grey" id="supported-cloud">
    <div class="container slp-container">
      <div class="method cloud">
        <div class="method-content">
          <h2 class="slp-text-xl slp-font-normal md:slp-text-xxl"> Supported cloud</h2>
          <p class="slp-text-base">
            Use the official Linux package to install GitLab in various cloud providers
          </p>
          <div class="flex-tile-list">
            <% data.installation_methods.cloud.each do |method| %>
              <a class="tile" href="<%= method.url %>" data-ga-name="<%= method.name %>" data-ga-location="body">
                <div class="tile-image">
                  <%= partial method.logo %>
                </div>
                <div class="tile-info">
                  <h4 class="tile-title">
                    <%= method.name %>
                  </h4>
                  <p>
                    <%= method.desc %>
                  </p>
                </div>
                <div class="tile-link slp-text-ui-secondary-dark">View install instructions →</div>
              </a>
            <% end %>
          </div>
        </div>
      </div>
    </div>
  </div>


  <div class="cards-section" id="other-official-methods">
    <div class="container slp-container">
      <div class="method official">
        <div class="method-content">
          <h2 class="slp-text-xl slp-font-normal md:slp-text-xxl"> Other official, supported installation methods</h2>
          <div class="flex-tile-list">
            <% data.installation_methods.official.each do |method| %>
              <a class="tile" href="<%= method.url %>" data-ga-name="<%= method.name %>" data-ga-location="body">
                <div class="tile-image">
                  <%= partial method.logo %>
                </div>
                <div class="tile-info">
                  <h4 class="<%= ("tooltip-trigger" if method.tooltip?) %> tile-title">
                    <span>
                      <%= method.name %>
                      <% if method.tooltip %>
                        <div class="tooltip-text">
                          <%= method.tooltip %>
                        </div>
                      <% end %>
                    </span>
                  </h4>
                  <p class="slp-text-xs">
                    <%= method.desc %>
                  </p>
                </div>
                <div class="tile-link slp-text-ui-secondary-dark">View install instructions →</div>
              </a>
            <% end %>
          </div>
        </div>
      </div>
    </div>
  </div>


  <div class="cards-section cards-section-grey" id="community-contributed">
    <div class="container slp-container">
      <div class="method community">
        <div class="method-content">
          <h2 class="slp-text-xl slp-font-normal md:slp-text-3xl"> Unofficial, unsupported installation methods</h2>
          <div class="flex-tile-list">
            <% data.installation_methods.community.each do |method| %>
              <a class="tile" href="<%= method.url %>" data-ga-name="<%= method.name %>" data-ga-location="body">
                <div class="tile-image">
                  <%= partial method.logo %>
                </div>
                <div class="tile-info">
                  <h4 class="tile-title">
                    <%= method.name %>
                  </h4>
                  <p>
                    <%= method.desc %>
                  </p>
                </div>
                <div class="tile-link slp-text-ui-secondary-dark">View install instructions →</div>
              </a>
            <% end %>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>


<div class="container slp-container" id="already-installed">
  <div class="method">
    <h2 class="slp-text-xl slp-font-normal md:slp-text-3xl">
      Already Installed GitLab?
    </h2>
    <div class="cta-block slp-flex slp-justify-between slp-flex-wrap">
      <div class="method-cta slp-text-center slp-border slp-border-grayscale-highlight slp-border-solid slp-bg-white slp-rounded-lg slp-p-24 slp-flex slp-flex-col slp-justify-between md:slp-w-100">
        <h3 class="slp-text-lg">Update from an old version of GitLab</h3>
        <p class="slp-my-24">
          Update your GitLab installation to take advantage of the latest features. Versions of GitLab which include new functionality are released every month on the 22nd.
        </p>
        <p>
          <a class="btn cta-btn lavender" href="/update/" data-ga-name="Update to the latest release of GitLab" data-ga-location="body">Update to the latest release of GitLab</a>
        </p>
      </div>
      <div class="method-cta slp-text-center slp-border slp-border-grayscale-highlight slp-border-solid slp-bg-white slp-rounded-lg slp-p-24 slp-flex slp-flex-col slp-justify-between md:slp-w-100">
        <h3 class="slp-text-lg">Upgrade from GitLab Community Edition</h3>
        <p class="slp-my-24">
          GitLab Enterprise Edition includes advanced features and functionality not available in the Community Edition.
        </p>
        <p>
          <a class="btn cta-btn lavender" href="/upgrade/" data-ga-name="Upgrade to Enterprise Edition" data-ga-location="body">Upgrade to Enterprise Edition</a>
        </p>
      </div>
      <div class="method-cta slp-text-center slp-border slp-border-grayscale-highlight slp-border-solid slp-bg-white slp-rounded-lg slp-p-24 slp-flex slp-flex-col slp-justify-between md:slp-w-100">
        <h3 class="slp-text-lg">Upgrade from manually installed Omnibus package</h3>
        <p class="slp-my-24">
          With GitLab 7.10 we have introduced package repositories for GitLab, that allow you to install GitLab with a simple command.
        </p>
        <p>
          <a class="btn cta-btn lavender" href="/upgrade-to-package-repository/" data-ga-name="Upgrade to Omnibus package repository" data-ga-location="body">Upgrade to Omnibus package repository</a>
        </p>
      </div>
      <div class="method-cta slp-text-center slp-border slp-border-grayscale-highlight slp-border-solid slp-bg-white slp-rounded-lg slp-p-24 slp-flex slp-flex-col slp-justify-between md:slp-w-100">
        <h3 class="slp-text-lg">Third-party applications that support GitLab</h3>
        <p class="slp-my-24">
          GitLab is open to collaboration and committed to building technology partnerships in the DevOps ecosystem. Learn more about the benefits and requirements of becoming a GitLab Technology Partner.
        </p>
        <p>
          <a class="btn cta-btn lavender" href="/partners/" data-ga-name="View third-party applications" data-ga-location="body">View third-party applications</a>
        </p>
      </div>
    </div>
  </div>
</div>



